DPDK patches and discussions
 help / color / mirror / Atom feed
* [PATCH] devtools: improve output of SPDX check
@ 2023-02-17 21:25 Thomas Monjalon
  0 siblings, 0 replies; only message in thread
From: Thomas Monjalon @ 2023-02-17 21:25 UTC (permalink / raw)
  To: dev; +Cc: David Marchand

When printing the check result in the middle of other checks,
it helps to get a bit of context about which check it is.

In quiet mode, no need to print result if all is OK.

Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
---
 devtools/check-spdx-tag.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/devtools/check-spdx-tag.sh b/devtools/check-spdx-tag.sh
index 7624778a8c..191d4a9906 100755
--- a/devtools/check-spdx-tag.sh
+++ b/devtools/check-spdx-tag.sh
@@ -62,9 +62,9 @@ trap 'rm -f -- "$tmpfile"' INT TERM HUP EXIT
 
 check_spdx
 $quiet || echo
-
 check_boilerplate
-
 $quiet || echo
-echo "total: $errors errors, $warnings warnings"
+$quiet && [ $errors -eq 0 ] && [ $warnings -eq 0 ] ||
+echo "SPDX tag check: $errors errors, $warnings warnings"
+
 exit $errors
-- 
2.39.1


^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2023-02-17 21:25 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2023-02-17 21:25 [PATCH] devtools: improve output of SPDX check Thomas Monjalon

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).